#!/usr/local/bin/bash


ruta="/usr/kernel_juanillo/itojun"

################################
# Prepare the kernel compilation
################################

echo "removing /usr/local/v6/{bin,sbin}"
rm -fr /usr/local/v6/*
echo "preparing distribution freebsd4..."
cd $ruta/kame
make TARGET=freebsd4 clean prepare
echo "make clean in freebsd4..."
cd $ruta/kame/freebsd4
make clean

################################################
# Backup the previous kernel and files related 
################################################

echo
echo "/kernel --> /kernel.previous"
cp /kernel /kernel.previous
echo "removing /usr/include.clean if exist..."
[ -e /usr/include.clean ] && rm -fr /usr/include.clean
mkdir /usr/include.clean
echo "/usr/include --> /usr/include.clean (this may take a while...)"
cd /usr/include.clean 
( cd ../include ; tar Bpcf - . ) | tar Bpxf -

##################
# Kernel build 
##################

echo
cd $ruta/kame/freebsd4/sys/i386/conf

/usr/sbin/config KERNEL_KAME

cd ../../compile/KERNEL_KAME

echo "Doing make depend in /home/jrh/itojun/kame/freebsd4/sys/compile/KERNEL_KAME..."
make depend || exit 1
echo "Doing make in /home/itojun/kame/freebsd4/sys/compile/KERNEL_KAME..."
make || exit 1 
echo "Doing make install in /home/itojun/kame/freebsd4/sys/compile/KERNEL_KAME..."
make install || exit 1

##################
# Userland build
##################

echo
cd $ruta/kame/freebsd4

echo "Doing make includes in /home/itojun/kame/freebsd4..."
make includes || exit 1
echo "Doing install-includes in /home/itojun/kame/freebsd4..."
make install-includes || exit 1

echo "Doing make in /home/itojun/kame/freebsd4..."
make || exit 1
echo "Doing make install in /home/itojun/kame/freebsd4..."
make install || exit 1

echo
echo "Please, reboot the machine with fastboot command"
echo

