#include "opt_config.h"
#ifdef INCLUDE_CONFIG_FILE 
static const char config[] = "\
START CONFIG FILE KERNEL_KAME\n\
___#\n\
___# KAME NOTE: kernel compilation may fail if you enable any of items that are\n\
___# commented out. (to be improved in the future, but do it on your own risk.\n\
___# report results to snap-users@kame.net)\n\
___#\n\
___\n\
___#\n\
___# GENERIC -- Generic kernel configuration file for FreeBSD/i386\n\
___#\n\
___# For more information on this file, please read the handbook section on\n\
___# Kernel Configuration Files:\n\
___#\n\
___#    http://www.FreeBSD.org/handbook/kernelconfig-config.html\n\
___#\n\
___# The handbook is also available locally in /usr/share/doc/handbook\n\
___# if you've installed the doc distribution, otherwise always see the\n\
___# FreeBSD World Wide Web server (http://www.FreeBSD.org/) for the\n\
___# latest information.\n\
___#\n\
___# An exhaustive list of options and more detailed explanations of the\n\
___# device lines is also present in the ./LINT configuration file. If you are\n\
___# in doubt as to the purpose or necessity of a line, check first in LINT.\n\
___#\n\
___# $FreeBSD: src/sys/i386/conf/GENERIC,v 1.246.2.20 2000/10/31 23:16:07 n_hibma Exp $\n\
___\n\
___machine		i386\n\
___cpu		I386_CPU\n\
___cpu		I486_CPU\n\
___cpu		I586_CPU\n\
___cpu		I686_CPU\n\
___ident		GENERIC\n\
___maxusers	64\n\
___\n\
___makeoptions	DEBUG=-g		#Build kernel with gdb(1) debug symbols\n\
___\n\
___options         DDB\n\
___\n\
___options 	MATH_EMULATE		#Support for x87 emulation\n\
___options 	INET			#InterNETworking\n\
___options 	INET6			#IPv6 communications protocols\n\
___options 	FFS			#Berkeley Fast Filesystem\n\
___options 	FFS_ROOT		#FFS usable as root device [keep this!]\n\
___options 	SOFTUPDATES		#Enable FFS soft updates support\n\
___options 	MFS			#Memory Filesystem\n\
___options 	MD_ROOT			#MD is a potential root device\n\
___options 	NFS			#Network Filesystem\n\
___options 	NFS_ROOT		#NFS usable as root device, NFS required\n\
___options         EXT2FS                  #Linux filesystem\n\
___options 	MSDOSFS			#MSDOS Filesystem\n\
___options 	CD9660			#ISO 9660 Filesystem\n\
___options 	CD9660_ROOT		#CD-ROM usable as root, CD9660 required\n\
___options 	PROCFS			#Process filesystem\n\
___options 	COMPAT_43		#Compatible with BSD 4.3 [KEEP THIS!]\n\
___options 	SCSI_DELAY=15000	#Delay (in ms) before probing SCSI\n\
___options 	UCONSOLE		#Allow users to grab the console\n\
___options 	USERCONFIG		#boot -c editor\n\
___options 	VISUAL_USERCONFIG	#visual boot -c editor\n\
___options 	KTRACE			#ktrace(1) support\n\
___options 	SYSVSHM			#SYSV-style shared memory\n\
___options 	SYSVMSG			#SYSV-style message queues\n\
___options 	SYSVSEM			#SYSV-style semaphores\n\
___options 	P1003_1B		#Posix P1003_1B real-time extensions\n\
___options 	_KPOSIX_PRIORITY_SCHEDULING\n\
___options		ICMP_BANDLIM		#Rate limit bad replies\n\
___options 	KBD_INSTALL_CDEV	# install a CDEV entry in /dev\n\
___\n\
___# To make an SMP kernel, the next two are needed\n\
___#options 	SMP			# Symmetric MultiProcessor Kernel\n\
___#options 	APIC_IO			# Symmetric (APIC) I/O\n\
___\n\
___device		isa\n\
___device		eisa\n\
___device		pci\n\
___\n\
___# Floppy drives\n\
___device		fdc0	at isa? port IO_FD1 irq 6 drq 2\n\
___device		fd0	at fdc0 drive 0\n\
___device		fd1	at fdc0 drive 1\n\
___\n\
___# ATA and ATAPI devices\n\
___device		ata0	at isa? port IO_WD1 irq 14\n\
___device		ata1	at isa? port IO_WD2 irq 15\n\
___device		ata\n\
___device		atadisk			# ATA disk drives\n\
___device		atapicd			# ATAPI CDROM drives\n\
___device		atapifd			# ATAPI floppy drives\n\
___device		atapist			# ATAPI tape drives\n\
___options 	ATA_STATIC_ID		#Static device numbering\n\
___#options 	ATA_ENABLE_ATAPI_DMA	#Enable DMA on ATAPI devices\n\
___\n\
___# SCSI Controllers\n\
___device		ahb		# EISA AHA1742 family\n\
___device		ahc		# AHA2940 and onboard AIC7xxx devices\n\
___device		amd		# AMD 53C974 (Teckram DC-390(T))\n\
___device		isp		# Qlogic family\n\
___device		ncr		# NCR/Symbios Logic\n\
___device		sym		# NCR/Symbios Logic (newer chipsets)\n\
___options		SYM_SETUP_LP_PROBE_MAP=0x40\n\
___				# Allow ncr to attach legacy NCR devices when \n\
___				# both sym and ncr are configured\n\
___\n\
___device		adv0	at isa?\n\
___device		adw\n\
___device		bt0	at isa?\n\
___device		aha0	at isa?\n\
___device		aic0	at isa?\n\
___\n\
___device		ncv		# NCR 53C500\n\
___device		nsp		# Workbit Ninja SCSI-3\n\
___device		stg		# TMC 18C30/18C50\n\
___\n\
___# SCSI peripherals\n\
___device		scbus		# SCSI bus (required)\n\
___device		da		# Direct Access (disks)\n\
___device		sa		# Sequential Access (tape etc)\n\
___device		cd		# CD\n\
___device		pass		# Passthrough device (direct SCSI access)\n\
___\n\
___# RAID controllers interfaced to the SCSI subsystem\n\
___device		asr		# DPT SmartRAID V, VI and Adaptec SCSI RAID\n\
___device		dpt		# DPT Smartcache - See LINT for options!\n\
___device		mly		# Mylex AcceleRAID/eXtremeRAID\n\
___\n\
___# RAID controllers\n\
___device		ida		# Compaq Smart RAID\n\
___device		amr		# AMI MegaRAID\n\
___device		mlx		# Mylex DAC960 family\n\
___device		twe		# 3ware Escalade\n\
___\n\
___# atkbdc0 controls both the keyboard and the PS/2 mouse\n\
___device		atkbdc0	at isa? port IO_KBD\n\
___device		atkbd0	at atkbdc? irq 1 flags 0x1\n\
___device		psm0	at atkbdc? irq 12\n\
___\n\
___device		vga0	at isa?\n\
___\n\
___# splash screen/screen saver\n\
___pseudo-device	splash\n\
___\n\
___# syscons is the default console driver, resembling an SCO console\n\
___device		sc0	at isa? flags 0x100\n\
___\n\
___# Enable this and PCVT_FREEBSD for pcvt vt220 compatible console driver\n\
___#device		vt0	at isa?\n\
___#options 	XSERVER			# support for X server on a vt console\n\
___#options 	FAT_CURSOR		# start with block cursor\n\
___# If you have a ThinkPAD, uncomment this along with the rest of the PCVT lines\n\
___#options 	PCVT_SCANSET=2		# IBM keyboards are non-std\n\
___\n\
___# Floating point support - do not disable.\n\
___device		npx0	at nexus? port IO_NPX irq 13\n\
___\n\
___# Power management support (see LINT for more options)\n\
___device		apm0    at nexus? disable flags 0x20 # Advanced Power Management\n\
___\n\
___# PCCARD (PCMCIA) support\n\
___device		card\n\
___device		pcic0	at isa? irq 0 port 0x3e0 iomem 0xd0000\n\
___device		pcic1	at isa? irq 0 port 0x3e2 iomem 0xd4000 disable\n\
___\n\
___# Serial (COM) ports\n\
___device		sio0	at isa? port IO_COM1 flags 0x90 irq 4\n\
___device		sio1	at isa? port IO_COM2 irq 3\n\
___device		sio2	at isa? disable port IO_COM3 irq 5\n\
___device		sio3	at isa? disable port IO_COM4 irq 9\n\
___\n\
___options         CONSPEED=9600\n\
___\n\
___# Parallel port\n\
___device		ppc0	at isa? irq 7\n\
___device		ppbus		# Parallel port bus (required)\n\
___device		lpt		# Printer\n\
___device		plip		# TCP/IP over parallel\n\
___device		ppi		# Parallel port interface device\n\
___#device		vpo		# Requires scbus and da\n\
___\n\
___\n\
___# PCI Ethernet NICs.\n\
___device		de		# DEC/Intel DC21x4x (``Tulip'')\n\
___device		fxp		# Intel EtherExpress PRO/100B (82557, 82558)\n\
___device		tx		# SMC 9432TX (83c170 ``EPIC'')\n\
___device		vx		# 3Com 3c590, 3c595 (``Vortex'')\n\
___device		wx		# Intel Gigabit Ethernet Card (``Wiseman'')\n\
___\n\
___# PCI Ethernet NICs that use the common MII bus controller code.\n\
___# NOTE: Be sure to keep the 'device miibus' line in order to use these NICs!\n\
___device		miibus		# MII bus support\n\
___device		dc		# DEC/Intel 21143 and various workalikes\n\
___device		pcn		# AMD Am79C79x PCI 10/100 NICs\n\
___device		rl		# RealTek 8129/8139\n\
___device		sf		# Adaptec AIC-6915 (``Starfire'')\n\
___device		sis		# Silicon Integrated Systems SiS 900/SiS 7016\n\
___device		ste		# Sundance ST201 (D-Link DFE-550TX)\n\
___device		tl		# Texas Instruments ThunderLAN\n\
___device		vr		# VIA Rhine, Rhine II\n\
___device		wb		# Winbond W89C840F\n\
___device		xl		# 3Com 3c90x (``Boomerang'', ``Cyclone'')\n\
___\n\
___# ISA Ethernet NICs.\n\
___device		ed0	at isa? port 0x280 irq 10 iomem 0xd8000\n\
___device		ex\n\
___device		ep\n\
___device		fe0	at isa? port 0x300\n\
___# WaveLAN/IEEE 802.11 wireless NICs. Note: the WaveLAN/IEEE really\n\
___# exists only as a PCMCIA device, so there is no ISA attatement needed\n\
___# and resources will always be dynamically assigned by the pccard code.\n\
___device		wi\n\
___# Aironet 4500/4800 802.11 wireless NICs. Note: the declaration below will\n\
___# work for PCMCIA and PCI cards, as well as ISA cards set to ISA PnP\n\
___# mode (the factory default). If you set the switches on your ISA\n\
___# card for a manually chosen I/O address and IRQ, you must specify\n\
___# those paremeters here.\n\
___device		an\n\
___# Xircom Ethernet\n\
___device		xe\n\
___# The probe order of these is presently determined by i386/isa/isa_compat.c.\n\
___device		ie0	at isa? port 0x300 irq 10 iomem 0xd0000\n\
___#device		le0	at isa? port 0x300 irq 5 iomem 0xd0000\n\
___device		lnc0	at isa? port 0x280 irq 10 drq 0\n\
___device		cs0	at isa? port 0x300\n\
___device		sn0	at isa? port 0x300 irq 10\n\
___\n\
___# Pseudo devices - the number indicates how many units to allocated.\n\
___pseudo-device	loop		# Network loopback\n\
___pseudo-device	ether		# Ethernet support\n\
___pseudo-device	sl	1	# Kernel SLIP\n\
___pseudo-device	ppp	1	# Kernel PPP\n\
___pseudo-device	tun		# Packet tunnel.\n\
___pseudo-device	pty		# Pseudo-ttys (telnet etc)\n\
___pseudo-device	md		# Memory \"disks\"\n\
___pseudo-device	gif	4	# IPv6 and IPv4 tunneling\n\
___pseudo-device	faith	1	# IPv6-to-IPv4 relaying (translation)\n\
___pseudo-device   stf     1       # tunnel 6to4 \n\
___\n\
___# The `bpf' pseudo-device enables the Berkeley Packet Filter.\n\
___# Be aware of the administrative consequences of enabling this!\n\
___pseudo-device	bpf		#Berkeley packet filter\n\
___\n\
___# USB support\n\
___device		uhci		# UHCI PCI->USB interface\n\
___device		ohci		# OHCI PCI->USB interface\n\
___device		usb		# USB Bus (required)\n\
___device		ugen		# Generic\n\
___device		uhid		# \"Human Interface Devices\"\n\
___device		ukbd		# Keyboard\n\
___device		ulpt		# Printer\n\
___device		umass		# Disks/Mass storage - Requires scbus and da\n\
___device		ums		# Mouse\n\
___device		uscanner	# Scanners\n\
___# USB Ethernet, requires mii\n\
___device		aue		# ADMtek USB ethernet\n\
___device		cue		# CATC USB ethernet\n\
___device		kue		# Kawasaki LSI USB ethernet\n\
___\n\
___\n\
___# KAME extensions\n\
___#\n\
___\n\
___options 	IPSEC			#IP security\n\
___options 	IPSEC_ESP		#IP security (crypto; define w/ IPSEC)\n\
___options 	IPSEC_DEBUG		#debug for IP security\n\
___#options 	NATM			#native mode ATM\n\
___#options 	ENABLE_DEFAULT_SCOPE\n\
___\n\
___#options 	ND6_DEBUG	# net.inet6.icmp6.nd6_debug=1 by default\n\
___\n\
___# these options will become the default behavior soon.\n\
___options 	NEW_STRUCT_ROUTE\n\
___\n\
___# IPv6 firewall\n\
___#options 	\"IPV6FIREWALL\"\n\
___#options 	\"IPV6FIREWALL_VERBOSE\"\n\
___#options 	\"IPV6FIREWALL_DEFAULT_TO_ACCEPT\"\n\
___\n\
___# ALTQ\n\
___#options 	ALTQ		#alternate queueing\n\
___#options 	ALTQ_CBQ	#class based queueing\n\
___#options 	ALTQ_WFQ	#weighted fair queueing\n\
___#options 	ALTQ_FIFOQ	#fifo queueing\n\
___#options 	ALTQ_RED	#random early detection\n\
___#options 	ALTQ_FLOWVALVE	#flowvalve for RED (needs RED)\n\
___#options 	ALTQ_RIO	#triple red for diffserv (needs RED)\n\
___#options 	ALTQ_LOCALQ	#local use\n\
___#options 	ALTQ_HFSC	#hierarchical fair service curve\n\
___#options 	ALTQ_ECN	#ecn extention to tcp (needs RED)\n\
___#options 	ALTQ_IPSEC	#check ipsec in IPv4\n\
___#options 	ALTQ_CDNR	#diffserv traffic conditioner\n\
___#options 	ALTQ_BLUE	#blue by wu-chang feng\n\
___#options 	ALTQ_PRIQ	#priority queue\n\
___#options 	ALTQ_NOPCC	#don't use processor cycle counter\n\
___#options 	ALTQ_DEBUG	#for debugging\n\
___# you might want to set kernel timer to 1kHz if you use CBQ,\n\
___# especially with 100baseT\n\
___#options 	HZ=1000\n\
___\n\
___# Network Address Translation - Protocol Translation (NAT-PT)\n\
___options 	NATPT\n\
___\n\
___# mobile-ip6 options\n\
___# NOTE: Don't define with IPsec options\n\
___# NOTE: may not work due to prefix management changes (Feb2001)\n\
___#options 	\"MIP6\"\n\
___##options 	\"MIP6_DEBUG\"\n\
___\n\
___#pseudo-device	atm\n\
___#pseudo-device	dummy	1\n\
___\n\
___options		QOSPSAS\n\
___\n\
___\n\
END CONFIG FILE KERNEL_KAME\n\
";

#endif /* INCLUDE_CONFIG_FILE */
