#ifndef _NETINET6_QOSPSAS_H_
#define _NETINET6_QOSPSAS_H_

#ifdef _KERNEL
#include <sys/kernel.h> 
#include <sys/sysctl.h>
#endif


/* Estructura que representa la policy_table */
struct ip6_srcptable
{
  int port;
  struct in6_addr prefix;
  int prefixlen;
  int precedence;
  int label;
  struct in6_addr rth;
  struct ip6_srcptable *next;
};

/* function que inicializa la policy_table con la siguiente tabla 
    port   prefix          precedence   label      RH   
    5000   ::0/0           60           100        -    
     -     ::1/128         50           0          -
     -     ::0/0           40           1          -
     -     2002::/16       30           2          -
     -     ::0/9           20           3          -
     -     ::ffff:0:0/96   10           4          -
*/

#ifdef _KERNEL
void ip6_init_srcptable (void);
int ip6_add_srcptable ( struct ip6_srcptable *);
int ip6_del_srcptable ( struct ip6_srcptable *);
int ip6_srcptable_equals ( struct ip6_srcptable *, struct ip6_srcptable *);
int ip6_search_srcptable( int, struct in6_addr *, int, struct in6_addr *);   
#endif

#endif /* !_NETINET6_QOSPSAS_H_ */
